#$Id: reports_accounts.pm,v 1.1 2001/09/06 10:21:20 moreejt Exp $
#This package is released under the GNU General Public License.
#You should have recieved a copy of the GPL with it.
# Copyright (c) 2000 HLR http://www.pcxperience.org  All rights reserved.
sub reports3GetBookkeepingAccounts
{
  #print "Ledger Code = '$ledger_code', Main::ledger_code = '$main::ledger_code' in reports3GetBookkeepingAccounts\n";
  my ($account_list, $j, $num);
  $accounts = $conn->exec("select distinct(account_num) from debitcredit_tb where ledger_code = '$ledger_code'");
  if ($accounts->resultStatus != PGRES_TUPLES_OK)
  {
    PrintErrorHeader();
    print "<h1>Error:  Accessing database failed!</h1>\n";
    print $conn->errorMessage . "<br>Tried to get list of accounts used in debitcredit table.<br>$sys_admin";
    CleanUp();
  }
  if ($accounts->ntuples > 0)
  {
    $account_list = "(";
    for ($j=0; $j < $accounts->ntuples; $j++)
    {
      $num = $accounts->getvalue($j, 0);
      $account_list .= $num;
      if ($j < $accounts->ntuples-1)
      {
        $account_list .= ", ";
      }
    }
    $account_list .= ")";

    $accounts = $conn->exec("select name, number from account_tb where number in $account_list");
    if ($accounts->resultStatus != PGRES_TUPLES_OK)
    {
      PrintErrorHeader();
      print "<h1>Error:  Accessing database failed!</h1>\n";
      print $conn->errorMessage . "<br>Tried to get info for global accounts that were used in the debitcredit table.<br>List = $account_list<br>$sys_admin";
      CleanUp();
    }
  }

  # get list of known years
  $known_years = $conn->exec("select year, closed from known_years_tb WHERE ledger_code = '$ledger_code' order by year desc");
  if ($known_years->resultStatus != PGRES_TUPLES_OK)
  {
    PrintErrorHeader();
    print "<h1>Error:  Accessing database failed!</h1>\n";
    print $conn->errorMessage . "<br>Tried to get a list of known years.<br>$sys_admin";
    CleanUp();
  }
  if ($known_years->ntuples == 0)
  {
    PrintErrorHeader();
    print "<h1>Error:  There are no Known Years!</h1>\n";
    print "At least 1 Known Year should be created!  That was done when you created this ledger.<br>$sys_admin";
    CleanUp();
  }
}

return 1;
